XMLReader::read
XMLReader::setRelaxNGSchema
XMLReader
PHP Manual

# XMLReader::setParserProperty

(PHP 5 >= 5.1.2)

XMLReader::setParserProperty — Fixe ou supprime des options pour l'analyseur

### Description

bool XMLReader::setParserProperty ( int `$property` , bool `$value` )

Fixe ou supprime des options pour l'analyseur. Les options doivent être fixées après l'appel de xmlreader-open() ou xmlreader-xml() et avant le premier appel de xmlreader-read().

### Liste de paramètres

`property`

  Une des constantes d'analyseur.

`value`

  Si fixée à `TRUE`, l'option sera activée sinon elle sera désactivée.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

XMLReader::read
XMLReader::setRelaxNGSchema
XMLReader
PHP Manual